<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();

$set['title']='Беседка'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
if (isset($user) && $user['balls']>=0)

if (isset($user) & $user['rating']<=0)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но чтобы писать на стене нужно иметь хотябы <b>0</b> рейтинга<br/>У вас <b>$user[rating]</b> рейтинга\n";
}
else
{
if (isset($user))


{
if (isset($access['guest_create']))
include 'inc/admin_act.php';

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if($user['time']<21600)$msg = strtr($msg, array('A'=>' ', 'a'=>' ', 'B'=>' ', 'b'=>' ', 'C'=>' ', 'c'=>' ', 'D'=>' ', 'd'=>' ', 'E'=>' ', 'e'=>' ', 'F'=>' ...', 'f'=>' ', 'G'=>' ', 'g'=>' ', 'H'=>' ', 'h'=>' ', 'I'=>' ', 'i'=>' ', 'J'=>' ', 'j'=>' ', 'K'=>' ', 'k'=>' ', 'L'=>' ', 'l'=>' ', 'M'=>' ', 'm'=>' ...', 'N'=>' ', 'n'=>' ', 'O'=>' ', 'o'=>' ', 'P'=>' ', 'p'=>' ', 'Q'=>' ', 'q'=>' ', 'R'=>' ', 'r'=>' ', 'S'=>' ', 's'=>' ', 'T'=>' ', 't'=>' ', 'U'=>' ', 'u'=>' ', 'V'=>' ', 'v'=>' ', 'W'=>' ', 'w'=>' ', 'X'=>' ', 'x'=>' ', 'Y'=>' ', 'y'=>' ', 'Z'=>' ', 'z'=>' '));
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>500){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '".mysql_real_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_real_escape_string($msg);


mysql_query("INSERT INTO `guest` (id_user, time, msg) values('$user[id]', '$time', '$msg')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение успешно добавлено');
}
}


if (isset($_POST['msg']) && !isset($user) && isset($_SESSION['chislo']) && isset($_POST['chislo']))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>500){$err='Сообщение слишком длинное';}
elseif ($_SESSION['chislo']!=$_POST['chislo']){$err='Неверное проверочное число';}
elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-1000){$err='Для того чтобы чаще писать нужно авторизоваться';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `msg` = '".mysql_real_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_real_escape_string($msg);
$_SESSION['antiflood']=$time;
mysql_query("INSERT INTO `guest` (id_user, time, msg) values('0', '$time', '$msg')");
msg('Сообщение успешно добавлено');
}
}


err();
aut(); // форма авторизации
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if (isset($access['guest_w']) || (isset($set['write_guest']) && $set['write_guest']==1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood']<$time-300)))
{
echo "<form method=\"post\" name='message' action=\"?\">\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "<div class='p_m'>";
echo "Сообщение: | <a href='/smiles/'>Смайлы</a><br />\n<textarea name=\"msg\"></textarea><br />\n";



if (!isset($user))echo "<img src=\"img.php?".SID."\" width=\"100\" height=\"30\" alt=\"Проверочное число\"/><br />\n<input name=\"chislo\" size=\"5\" maxlength=\"5\" value=\"\" type=\"text\" /><br/>\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>";
echo "</div>";
}
elseif(isset($set['write_guest']) && $set['write_guest']==1 && isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-300)
{
echo "<div class='foot'>\n";
echo "* Гостем вы можете писать только по 1 сообщению в 5 минут<br />\n";
echo "</div>\n";
}
if ($k_post==0)
{
echo "Нет сообщений\n";
}

$q=mysql_query("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{

if ($post['id_user']==0)
{
$ank['id']=0;
$ank['pol']='guest';
$ank['level']=0;
}else
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
if($num==1){ 
echo "<div class='str'>";

$num=0;

}else{ 
echo "<div class='rowup'>"; 
$num=1;}



echo "".online($ank['id'])." ";




if ($ank['id']==0)
echo "Гость (".vremja($post['time']).")\n";
else
echo "<a href='/info.php?id=$ank[id]'><span class='color:$ank[ncolor]'>$ank[nick]</span></a> (".vremja($post['time']).")\n";
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
	echo "[<a href='delete.php?id=$post[id]'><b>X</b></a>]";
echo'<br>';

echo "<span class='color:$ank[color]'>\n";
echo output_text($post['msg'])."<br />\n";
echo "</span>\n";
echo'</div>';
}





if ($k_page>1)str('?',$k_page,$page); // Вывод страниц




if (isset($access['guest_create']))
include 'inc/admin_form.php';
}
else
{
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Беседка'; // заголовок страницы

include_once '../sys/inc/thead.php';







echo "Гостем вы не можете писать сообщения<br />\n";
include_once '../sys/inc/tfoot.php';
}}
include_once '../sys/inc/tfoot.php';
?>